{ config, pkgs, ... }:

{
  programs.hyprland = {
    enable = true;
    xwayland.enable = true;
  };

  services.displayManager = {
    enable = true;
    defaultSession = "hyprland";
  };

  environment.systemPackages = with pkgs; [
    alacritty # Terminal
    brave # Browser
    helix # Text editor
    rustc cargo # Rust
    go # Go
    nodejs # Node.js
    discordo
    spotify-player
    bitwarden
    freshfetch # Fetch utility
    git
    cryptsetup
    parted
    vim
    htop
  ];
}
